GET /traces/v2/{trackingId}

here.com:tracking

Summary: Gets traces within a specified time range
Operation ID:
Auth: unknown
Description

Gets all traces of the device `trackingId` that were recorded within the specified time range. The range is defined with `before` and `after` parameters. The returned traces are sorted in descending order based on their timestamps. NOTE: By default, the `after` parameter value is 0, and the `before` parameter is set to the current system time. Always make sure to specify `before` and `after` parameters explicitly, as otherwise it may take a very long time for the API call to complete. If the `trackingId` is substituted with a valid `shipmentId`, the response contains a composition of traces of each shipment segment. Traces are only fetched for those segments that are either in `ongoing` or `completed` state. The `outliers` parameter can be used to select only traces that have been marked as outliers (if the parameter value is `true`), or only traces that have not been marked as outliers (if the parameter value is `false`). If the `outliers` parameter is not present, all the traces will be returned. The `count` and `pageToken` parameters are used for pagination.

Parameters (10)

X-Request-Id (string, header, optional)

ID used for correlating requests within HERE Tracking. Used for logging and error reporting. Must be a valid UUIDv4.

after (number, query, optional)

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 0 to the current time.

Constraints: {'minimum': 0}

appId (string, query, optional)

Application identifier. Used together with an external ID to identify a virtual device.

Constraints: {'minLength': 8}

before (number, query, optional)

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 1 to the current time.

Constraints: {'minimum': 1}

count (integer, query, optional, default: 1000)

The number of records per page.

Constraints: {'minimum': 1, 'maximum': 1000}

mode (string, query, optional)

Tracker mode.

Constraints: {'enum': ['unknown', 'normal', 'flight', 'transport', 'sleep']}

outliers (boolean, query, optional)

Flag specifying if only outliers (`true`) or only nonoutliers (`false`) are to be returned. If the parameter is not present both nonoutlier and outlier traces are returned.

pageToken (string, query, optional)

A token from the previously returned response to retrieve the specified page.

smooth (boolean, query, optional)

Flag telling if smoothed traces (true) or non-smoothed (false) traces should get returned. By default the traces are not smoothed. The smoothing will have an effect on to the stationary trace points only.

trackingId (string, path, required)

Constraints: {'minLength': 1, 'maxLength': 50}

No probe data for this endpoint yet.